%define bordersversion 0.0.2

Name: photoprint
Version: 0.4.1
Release: alt1

Packager: Victor Forsiuk <force@altlinux.org>

Summary: Photo Print - Prints photos in various layouts and with color management
License: GPLv2+
Group: Publishing

Url: http://blackfiveimaging.co.uk/index.php?article=02Software/01PhotoPrint
# In fact version is 0.4.1b, as 0.4.1 turn out to contain major bug (but I prefer to package as just 0.4.1)
Source: http://www.blackfiveimaging.co.uk/photoprint/photoprint-%{version}b.tar.gz
Source1: http://www.blackfiveservices.co.uk/PhotoPrint/Downloads/photoprint-borders-%{bordersversion}.tar.gz
#Source2: http://www.blackfiveservices.co.uk/PhotoPrint/Downloads/ProfilingKit.tar.bz2
Source10: fotoprint16.png
Source11: fotoprint32.png

# Automatically added by buildreq on Tue Mar 09 2010
BuildRequires: gcc-c++ libcups-devel libgutenprint-devel libjpeg-devel liblcms-devel libnetpbm-devel libtiff-devel

%description
Photo Print is a utility for printing images via Gutenprint.

It supports different printing layouts, as one picture per page, several
pictures (scaled to equal size) per page, a poster of one picture put together
of several sheets, or several pictures combined to one round picture for a CD
back. Image frames and color management are also supported.

Photo Print can be used as GUI tool and also as command line tool in batch
mode.

%prep

%setup -n photoprint-%{version}b -a 1
#setup -n photoprint-%version -T -D -a 1
#%setup -q -T -D -a 2 -n %{name}-%{version}

%build
%configure
# Do not do any compiler optimizations, they break the program. (?? recheck!)
%make_build CFLAGS="" CXXFLAGS="-I/usr/include/lcms"
make -C po ru.gmo

%install
%makeinstall_std
install -pD -m644 photoprint.1 %buildroot%_man1dir/photoprint.1
install -pD -m644 %_sourcedir/fotoprint16.png %buildroot%_miconsdir/fotoprint.png
install -pD -m644 %_sourcedir/fotoprint32.png %buildroot%_niconsdir/fotoprint.png

# install borders (TODO: move to separate noarch package)
install -d %buildroot%_datadir/photoprint/borders
pushd photoprint-borders*
%configure
%make_install DESTDIR=%buildroot install
popd

%find_lang --with-gnome %name

%files -f %name.lang
%doc README NEWS
%_bindir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_man1dir/*
%_desktopdir/*
%_datadir/photoprint

%changelog
* Tue Mar 09 2010 Victor Forsiuk <force@altlinux.org> 0.4.1-alt1
- 0.4.1

* Tue Jun 30 2009 Victor Forsyuk <force@altlinux.org> 0.4.0-alt1
- 0.4.0
- Fix FTBFS due to missing stdio header includes.

* Mon Jan 05 2009 Victor Forsyuk <force@altlinux.org> 0.4.0-alt0.pre4
- 0.4.0-pre4

* Wed Oct 08 2008 Victor Forsyuk <force@altlinux.org> 0.3.9-alt1
- 0.3.9

* Fri Aug 01 2008 Victor Forsyuk <force@altlinux.org> 0.3.8b-alt1
- 0.3.8b

* Fri Apr 11 2008 Victor Forsyuk <force@altlinux.org> 0.3.7-alt1
- 0.3.7
- Desktop file mime entry fix.

* Fri Dec 28 2007 Victor Forsyuk <force@altlinux.org> 0.3.6-alt1
- Initial build.
